Package sop.operation

# Interface DetachedVerify

All Superinterfaces:
  `AbstractVerify<DetachedVerify>`, `VerifySignatures`

public interface DetachedVerify extends AbstractVerify<DetachedVerify>, VerifySignatures
API for verifying detached signatures.

## Method Summary

Modifier and Type
Method
Description
`default VerifySignatures`
`signatures(byte[] signatures)`
Provides the detached signatures.
`VerifySignatures`
`signatures(InputStream signatures)`
Provides the detached signatures.

### Methods inherited from interface sop.operation.AbstractVerify

`cert, cert, notAfter, notBefore`

### Methods inherited from interface sop.operation.VerifySignatures

`data, data`

## Method Details

### signatures

VerifySignatures signatures(InputStream signatures) throws SOPGPException.BadData, IOException
Provides the detached signatures.

Parameters:
  `signatures` - input stream containing encoded, detached signatures.
Returns:
  builder instance
Throws:
  `SOPGPException.BadData` - if the input stream does not contain OpenPGP signatures
  `IOException` - in case of an IO error

### signatures

default VerifySignatures signatures(byte[] signatures) throws SOPGPException.BadData, IOException
Provides the detached signatures.

Parameters:
  `signatures` - byte array containing encoded, detached signatures.
Returns:
  builder instance
Throws:
  `SOPGPException.BadData` - if the byte array does not contain OpenPGP signatures
  `IOException` - in case of an IO error